#! /bin/sh -e
#
# $Header: /u/spert/src/drv/spertX/RCS/spertX-install.sh,v 1.3 1996/08/20 19:58:31 davidj Exp $
#
# A shell script for installing the SPERT device drivers.

# Copy the driver and conf file into the correct directory.

cp=/bin/cp
add_drv=/usr/sbin/add_drv
devlinks=/usr/sbin/devlinks

$cp -p spertX /usr/kernel/drv/spertX
$cp -p spertX.conf /usr/kernel/drv/spertX.conf

# Now we add the driver to the running system.

$add_drv -i "ICSI,spert" -m '* 0666 root sys','*control 0600 root sys' spertX

# Add the links in the /dev directory

$devlinks -t spert-devlink.tab

# Remove any old links

if [ -f /dev/spertsbus0 ]
then
    rm /dev/spertsbus0
    echo "### /dev/spertsbus0 removed - correct permissions on /dev/sbus* ###"
fi
