/*
** $Header: /u/spert/src/torasm-hdrs/RCS/t0def.h,v 1.5 1995/02/08 21:37:20 davidj Exp $
**
** T0 specific values of general Torrent constants
**
** davidj - Mon Oct 18 12:23:41 1993
*/

#ifndef T0DEF_H_INCLUDED
#define T0DEF_H_INCLUDED

/* Definitions for vector length. */

#define MAXVSHIFT 5             /* Shift for maximum vector length. */
#define MAXVLEN (1<<MAXVSHIFT)	/* Maximum vector length. */
#define MAXVMASK (MAXVLEN-1)	/* Mask for maximum vector length. */

/* Definitions for optimal alignment of objects. */

#define ALIGNSHIFT 4		/* Shift for smallest good alignment. */
#define ALIGNLEN (1<<ALIGNSHIFT)/* Alignment size in bytes. */
#define ALIGNMASK (ALIGNLEN-1)  /* Mask for smallest good alignment. */

#endif /* #ifdef T0DEF_H_INCLUDED */
