/*
** $Header: /u/spert/src/spert-hdrs/RCS/signal.h,v 1.4 1996/01/18 03:03:38 davidj Exp $
**
** SPERT version of sys/signal.h definitions that are shared by the server
** and newlib.
**
** davidj - Thu Oct 19 12:30:45 1995
*/

#ifndef __SYS_SIGNAL_H
#define __SYS_SIGNAL_H

/* Signal names */

#define SIGNULL 0
#define SIGHUP 1
#define SIGINT 2
#define SIGQUIT 3
#define SIGILL 4
#define SIGTRAP 5
#define SIGABRT 6
#define SIGFPE 8
#define SIGKILL 9
#define SIGBUS 10
#define SIGSEGV 11
#define SIGSYS 12
#define SIGPIPE 13
#define SIGALRM 14
#define SIGTERM 15

/* Breakpoint stuff */

#define BRK_USERBP 0
#define BRK_ABORT 2
#define BRK_SSTEPBP 5
#define BRK_OVERFLOW 6
#define BRK_DIVZERO 7
#define BRK_VLEN 32         /* Vector length error */
#define BRK_EMBRANCH 33     /* Taken emulated branch */
#define BRK_KERNELBP 123

#endif
