/*
** $Header: /u/spert/src/spert-hdrs/sys/RCS/types.h,v 1.4 1995/10/23 04:15:53 davidj Exp $
**
** SPERT version of sys/types.h definitions that are shared by server
** and newlib
**
** davidj - Thu Oct 19 16:58:51 1995
*/

#ifndef __SYS_TYPES_H
#define __SYS_TYPES_H
#ifdef __cplusplus
extern "C" {
#endif

/* The following types are defined both in the kernel/server and C library */

#ifdef _LANGUAGE_C

#ifndef __time_t_defined
typedef long time_t;
#define __time_t_defined
#endif /* #ifndef __time_t_defined */

typedef long daddr_t;
typedef short dev_t;
typedef ushort gid_t;
typedef ushort uid_t;
typedef ulong ino_t;
typedef int key_t;
typedef int pid_t;
typedef ushort mode_t;
typedef long off_t;
#endif /* #ifdef _LANGUAGE_C */


#ifdef __cplusplus
}
#endif
#endif
